| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICCSdk.registers.icc_registers.ICCMiscFeatures Class Reference
Inheritance diagram for optoICCSdk.registers.icc_registers.ICCMiscFeatures:

## Public Member Functions
def | __init__ (self, board=None)
def | ResetFW (self)
| Resets firmware of the driver.
def | GetFEpower (self)
| Gets the frontend power supply state, 0 = false, 1 = true.
def | SetFEpower (self, state=0)
| Sets the frontend power supply state, 0 = false, 1 = true.
def | GetFEvoltage (self)
| Gets the frontend supply voltage, default is 12.0 V.
def | SetFEvoltage (self, voltage=12.0)
| Sets the frontend supply voltage, default is 12.0 V.
def | GetPWMfrequency (self)
| Gets the output stage PWM frequency.
def | SetPWMfrequency (self, frequency=1000)
| Sets the output stage PWM frequency.
def | GetOutputState (self, channel)
| Gets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.
def | SetOutputState (self, channel, state=0)
| Sets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.
def | GetADCcurrent (self, channel=0)
| Reads current [A] on specific channel.
def | GetADCvoltage (self, channel=0)
| Reads voltage [V] on specific channel.
def | GetDevicePower (self, channel)
| Gets 3v3 for device on specific channel.
def | SetDevicePower (self, channel, state=0)
| Sets 3v3 for device on specific channel.
DeviceModel | GetDeviceType (self, channel)
| Gets device type connected to specific channel.
def | GetUIN (self)
| Gets input voltage.
def | GetIIN (self)
| Gets input current.
def | GetUFE (self)
| Gets FE voltage.
def | GetAnalogInput (self, channel=0)
| Gets analog input voltage on specific channel.
def | GetResistance (self, channel=0)
| Gets load resistance on specific channel.
def | GetAutoConfig (self)
| Gets parameter value stored in driver's board eeprom, 0 = off, 1 = internal, 2 = ext.
def | SetAutoConfig (self, value)
| Sets autoconfig type, 0 = off, 1 = internal, 2 = ext.
def | GetWcState (self)
| Gets WC state.
def | SetWcState (self, value)
| Sets state of WC output signal.
def | EnableCalCoefficients (self, enable=1)
| Enables/disables calibration coefficients for measurements in this system, 0 = disabled, 1 = enabled.
def | SetDefaultState (self, state)
| Sets driver state, 1 = init state, 2 = project independent default.
def | GetGPIOstate (self)
| Gets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.
def | SetGPIOstate (self, state=0)
| Sets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.
def | GetGPIOdirection (self)
| Gets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.
def | SetGPIOdirection (self, direction=0)
| Sets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.
def | GetFeedbackMode (self)
| Gets feedback mode bitwise per channel, 0 = current, 1 = voltage.
def | SetFeedbackMode (self, state=0)
| Sets feedback mode bitwise per channel, 0 = current, 1 = voltage.
def | GetAverageInputPower (self)
| Gets average input power (integration time = 1 second)
def | GetI2CList (self, channel)
| Gets 16 bytes representing specific I2C address for specific channel.

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| reset_FW
| FE_power
| FE_voltage
| PWM_frequency
| enable_out0
| enable_out1
| enable_out2
| enable_out3
| ADCI0
| ADCI1
| ADCI2
| ADCI3
| ADCV0
| ADCV1
| ADCV2
| ADCV3
| DEV_POWER0
| DEV_POWER1
| DEV_POWER2
| DEV_POWER3
| DEV_TYPE0
| DEV_TYPE1
| DEV_TYPE2
| DEV_TYPE3
| UIN
| IIN
| UFE
| AIN0
| AIN1
| AIN2
| AIN3
| AUTO_CONFIG
| WRITE_CTRL
| LOAD_CH0
| LOAD_CH1
| LOAD_CH2
| LOAD_CH3
| enable_calibration
| DEFAULT_STATE
| GPIO_STATE
| GPIO_DIRECTION
| FB_MODE
| Pin_avg
| i2c_list_ch0
| i2c_list_ch1
| i2c_list_ch2
| i2c_list_ch3
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    /**
    * \page MiscFeatures Miscellaneous Features
    *
    * Miscellaneous Features system ID : <b>0x25</b>
    *
    * ### Register Map:
    *
    *  | Address | Name                             | Default Value | Description                                                      | Type   |  Access    |
    *  | --------|----------------------------------|---------------|------------------------------------------------------------------|------- | -----------|
    *  | 0x2500  | Reset firmware                   | N/A           | Reading triggers function                                        | uint32 | read only  |
    *  | 0x2501  | FrontEnd power state             | false=0       | Setting of FrontEnd power supply state                           | boolean| read write |
    *  | 0x2502  | FrontEnd voltage                 | 12.0          | Setting of FrontEnd supply voltage [V]                           | float  | read write |
    *  | 0x2503  | Output stage PWM frequency       | 1000          | Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz]      | uint32 | read write |
    *  | 0x2504  | Enable output stage channel 0    | false=0       | Setting of output stage state channel 0                          | boolean| read write |
    *  | 0x2505  | Enable output stage channel 1    | false=0       | Setting of output stage state channel 1                          | boolean| read write |
    *  | 0x2506  | Enable output stage channel 2    | false=0       | Setting of output stage state channel 2                          | boolean| read write |
    *  | 0x2507  | Enable output stage channel 3    | false=0       | Setting of output stage state channel 3                          | boolean| read write |
    *  | 0x2508  | ADCI0                             | N/A           | Reading of current on channel 0                                  | float  | read only  |
    *  | 0x2509  | ADCI1                             | N/A           | Reading of current on channel 1                                  | float  | read only  |
    *  | 0x250a  | ADCI2                             | N/A           | Reading of current on channel 2                                  | float  | read only  |
    *  | 0x250b  | ADCI3                             | N/A           | Reading of current on channel 3                                  | float  | read only  |
    *  | 0x250c  | ADCV0                             | N/A           | Reading of voltage on channel 0                                  | float  | read only  |
    *  | 0x250d  | ADCV1                             | N/A           | Reading of voltage on channel 1                                  | float  | read only  |
    *  | 0x250e  | ADCV2                             | N/A           | Reading of voltage on channel 2                                  | float  | read only  |
    *  | 0x250f  | ADCV3                             | N/A           | Reading of voltage on channel 3                                  | float  | read only  |
    *  | 0x2510  | DEV_POWER0                        | 0             | Setting 3v3 for device on channel 0                              | uint32 | read write |
    *  | 0x2511  | DEV_POWER1                        | 0             | Setting 3v3 for device on channel 1                              | uint32 | read write |
    *  | 0x2512  | DEV_POWER2                        | 0             | Setting 3v3 for device on channel 2                              | uint32 | read write |
    *  | 0x2513  | DEV_POWER3                        | 0             | Setting 3v3 for device on channel 3                              | uint32 | read write |
    *  | 0x2514  | DEV_MODEL0                        | 0             | get \ref DeviceModel on channel 0                                | uint32 | read only  |
    *  | 0x2515  | DEV_MODEL1                        | 0             | get \ref DeviceModel on channel 1                                | uint32 | read only  |
    *  | 0x2516  | DEV_MODEL2                        | 0             | get \ref DeviceModel on channel 2                                | uint32 | read only  |
    *  | 0x2517  | DEV_MODEL3                        | 0             | get \ref DeviceModel on channel 3                                | uint32 | read only  |
    *  | 0x2518  | Uin                               | N/A           | Reading input voltage                                            | float  | read only  |
    *  | 0x2519  | Iin                               | N/A           | Reading input current                                            | float  | read only  |
    *  | 0x251a  | Ufe                               | N/A           | Reading FE voltage                                               | float  | read only  |
    *  | 0x251b  | ANLGIN0                           | N/A           | Reading of analog input channel 0                                | float  | read only  |
    *  | 0x251c  | ANLGIN1                           | N/A           | Reading of analog input channel 1                                | float  | read only  |
    *  | 0x251d  | ANLGIN2                           | N/A           | Reading of analog input channel 2                                | float  | read only  |
    *  | 0x251e  | ANLGIN3                           | N/A           | Reading of analog input channel 3                                | float  | read only  |
    *  | 0x251f  | AUTO_CONFIG                   | 0             | Reading returns parameter value stored in driver's board eeprom <br/> Writing (1=internal, 2=ext.triger) starts auto-actuation (0=off) | uint32 | read write |
    *  | 0x2520  | WRITE_CTRL                       | 0             | Reading returns WC state, writing sets state of WC output signal | uint32 | read write |
    *  | 0x2521  | LOAD_CH0                         | 0          | Reading load resistance on channel 0 (set some DC current before)| float  | read only  |
    *  | 0x2522  | LOAD_CH1                         | 0          | Reading load resistance on channel 1 (set some DC current before)| float  | read only  |
    *  | 0x2523  | LOAD_CH2                         | 0          | Reading load resistance on channel 2 (set some DC current before)| float  | read only  |
    *  | 0x2524  | LOAD_CH3                         | 0          | Reading load resistance on channel 3 (set some DC current before)| float  | read only  |
    *  | 0x2525  | Enable calibration coefficients  | true=1 *(1)   | Enable calibration coefficients for measurements in this system  | boolean| read write |
    *  | 0x2526  | SET_STATE                         | -             | 1 set driver to init state, 2 set to project independent default | uint32 | write only |
    *  | 0x2527  | GPIO_STATE                       | 0             | Set logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH)          | Bit#<br/>0 - external GPIO0<br/>1 - external GPIO1<br/>2 - external GPIO2<br/>3 - external GPIO3<br/>4 - internal GPIO_IN0<br/>5 - internal GPIO_IN1<br/>6 - internal GPIO_IN4<br/>7 - internal GPIO_IN5| read write |
    *  | 0x2528  | GPIO_DIRECTION                   | 0             | Set direction of GPIO pins (bitwise; 0=INPUT, 1=OUTPUT)          | Bit#<br/>0 - external GPIO0<br/>1 - external GPIO1<br/>2 - external GPIO2<br/>3 - external GPIO3<br/>4 - internal GPIO_IN0<br/>5 - internal GPIO_IN1<br/>6 - internal GPIO_IN4<br/>7 - internal GPIO_IN5| read write |
    *  | 0x2529  | FB_MODE                           | 0             | Set feedback mode bitwise per channel (0=current, 1=voltage) *(2)| uint32 | read write |
    *  | 0x252A  | Pin_avg                           | N/A           | Reading average input power (integration time = 1 second)        | float  | read only  |
    *  *(1) Calibration coefficients are enabled for measurements in this system only in official ICC-4-C builds<br/>
    *  *(2) Feedback mode selection is available only on drivers with HW revision 2 and greater
    *
    * The Miscellaneous system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default     | Description                            | Format and value    |
    * |---------|--------------------------------|-------------|----------------------------------------|---------------------|
    * | 0x2500  | i2c address list on channel0   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2501  | i2c address list on channel1   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2502  | i2c address list on channel2   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2503  | i2c address list on channel3   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2504  | output current all channels    |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2505  | output voltage all channels    |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2506  | load resistance all channels   |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2507  | analog inputs all channels     |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2508  | out.current calib.coef. chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x2509  | out.current calib.coef. chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x250A  | out.current calib.coef. chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x250B  | out.current calib.coef. chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x250C  | out.voltage calib.coef. chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x250D  | out.voltage calib.coef. chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x250E  | out.voltage calib.coef. chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x250F  | out.voltage calib.coef. chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x2510  | analog input calib.coef.chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x2511  | analog input calib.coef.chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x2512  | analog input calib.coef.chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x2513  | analog input calib.coef.chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x2514  | Uin voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    * | 0x2515  | Iin voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    * | 0x2516  | Ufe voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    *
    */

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.help | ( |  | ) |
| static

## ◆ ResetFW()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.ResetFW | ( |  | self | ) |

Resets firmware of the driver.

## ◆ GetFEpower()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetFEpower | ( |  | self | ) |

Gets the frontend power supply state, 0 = false, 1 = true.

## ◆ SetFEpower()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetFEpower | ( |  | self,
|  |  | state = `0`
| ) |  |

Sets the frontend power supply state, 0 = false, 1 = true.

## ◆ GetFEvoltage()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetFEvoltage | ( |  | self | ) |

Gets the frontend supply voltage, default is 12.0 V.

## ◆ SetFEvoltage()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetFEvoltage | ( |  | self,
|  |  | voltage = `12.0`
| ) |  |

Sets the frontend supply voltage, default is 12.0 V.

## ◆ GetPWMfrequency()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetPWMfrequency | ( |  | self | ) |

Gets the output stage PWM frequency.

Supported frequencies: 400,500,600,1000,1200

## ◆ SetPWMfrequency()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetPWMfrequency | ( |  | self,
|  |  | frequency = `1000`
| ) |  |

Sets the output stage PWM frequency.

Supported frequencies: 400,500,600,1000,1200

## ◆ GetOutputState()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetOutputState | ( |  | self,
|  |  | channel
| ) |  |

Gets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.

## ◆ SetOutputState()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetOutputState | ( |  | self,
|  |  | channel,
|  |  | state = `0`
| ) |  |

Sets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.

## ◆ GetADCcurrent()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetADCcurrent | ( |  | self,
|  |  | channel = `0`
| ) |  |

Reads current [A] on specific channel.

## ◆ GetADCvoltage()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetADCvoltage | ( |  | self,
|  |  | channel = `0`
| ) |  |

Reads voltage [V] on specific channel.

## ◆ GetDevicePower()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetDevicePower | ( |  | self,
|  |  | channel
| ) |  |

Gets 3v3 for device on specific channel.

## ◆ SetDevicePower()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetDevicePower | ( |  | self,
|  |  | channel,
|  |  | state = `0`
| ) |  |

Sets 3v3 for device on specific channel.

## ◆ GetDeviceType()

DeviceModel optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetDeviceType | ( |  | self,
|  |  | channel
| ) |  |

Gets device type connected to specific channel.

## ◆ GetUIN()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetUIN | ( |  | self | ) |

Gets input voltage.

## ◆ GetIIN()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetIIN | ( |  | self | ) |

Gets input current.

## ◆ GetUFE()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetUFE | ( |  | self | ) |

Gets FE voltage.

## ◆ GetAnalogInput()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetAnalogInput | ( |  | self,
|  |  | channel = `0`
| ) |  |

Gets analog input voltage on specific channel.

## ◆ GetResistance()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetResistance | ( |  | self,
|  |  | channel = `0`
| ) |  |

Gets load resistance on specific channel.

## ◆ GetAutoConfig()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetAutoConfig | ( |  | self | ) |

Gets parameter value stored in driver's board eeprom, 0 = off, 1 = internal, 2 = ext.

trigger

## ◆ SetAutoConfig()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetAutoConfig | ( |  | self,
|  |  | value
| ) |  |

Sets autoconfig type, 0 = off, 1 = internal, 2 = ext.

trigger

## ◆ GetWcState()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetWcState | ( |  | self | ) |

Gets WC state.

## ◆ SetWcState()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetWcState | ( |  | self,
|  |  | value
| ) |  |

Sets state of WC output signal.

## ◆ EnableCalCoefficients()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.EnableCalCoefficients | ( |  | self,
|  |  | enable = `1`
| ) |  |

Enables/disables calibration coefficients for measurements in this system, 0 = disabled, 1 = enabled.

## ◆ SetDefaultState()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetDefaultState | ( |  | self,
|  |  | state
| ) |  |

Sets driver state, 1 = init state, 2 = project independent default.

## ◆ GetGPIOstate()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetGPIOstate | ( |  | self | ) |

Gets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.

## ◆ SetGPIOstate()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetGPIOstate | ( |  | self,
|  |  | state = `0`
| ) |  |

Sets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.

## ◆ GetGPIOdirection()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetGPIOdirection | ( |  | self | ) |

Gets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.

## ◆ SetGPIOdirection()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetGPIOdirection | ( |  | self,
|  |  | direction = `0`
| ) |  |

Sets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.

## ◆ GetFeedbackMode()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetFeedbackMode | ( |  | self | ) |

Gets feedback mode bitwise per channel, 0 = current, 1 = voltage.

## ◆ SetFeedbackMode()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.SetFeedbackMode | ( |  | self,
|  |  | state = `0`
| ) |  |

Sets feedback mode bitwise per channel, 0 = current, 1 = voltage.

## ◆ GetAverageInputPower()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetAverageInputPower | ( |  | self | ) |

Gets average input power (integration time = 1 second)

## ◆ GetI2CList()

def optoICCSdk.registers.icc_registers.ICCMiscFeatures.GetI2CList | ( |  | self,
|  |  | channel
| ) |  |

Gets 16 bytes representing specific I2C address for specific channel.

## Member Data Documentation

## ◆ _is_a_system

bool optoICCSdk.registers.icc_registers.ICCMiscFeatures._is_a_system = True
| static protected

## ◆ sys_id

optoICCSdk.registers.icc_registers.ICCMiscFeatures.sys_id

## ◆ reset_FW

optoICCSdk.registers.icc_registers.ICCMiscFeatures.reset_FW

## ◆ FE_power

optoICCSdk.registers.icc_registers.ICCMiscFeatures.FE_power

## ◆ FE_voltage

optoICCSdk.registers.icc_registers.ICCMiscFeatures.FE_voltage

## ◆ PWM_frequency

optoICCSdk.registers.icc_registers.ICCMiscFeatures.PWM_frequency

## ◆ enable_out0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.enable_out0

## ◆ enable_out1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.enable_out1

## ◆ enable_out2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.enable_out2

## ◆ enable_out3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.enable_out3

## ◆ ADCI0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCI0

## ◆ ADCI1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCI1

## ◆ ADCI2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCI2

## ◆ ADCI3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCI3

## ◆ ADCV0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCV0

## ◆ ADCV1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCV1

## ◆ ADCV2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCV2

## ◆ ADCV3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.ADCV3

## ◆ DEV_POWER0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_POWER0

## ◆ DEV_POWER1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_POWER1

## ◆ DEV_POWER2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_POWER2

## ◆ DEV_POWER3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_POWER3

## ◆ DEV_TYPE0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_TYPE0

## ◆ DEV_TYPE1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_TYPE1

## ◆ DEV_TYPE2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_TYPE2

## ◆ DEV_TYPE3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEV_TYPE3

## ◆ UIN

optoICCSdk.registers.icc_registers.ICCMiscFeatures.UIN

## ◆ IIN

optoICCSdk.registers.icc_registers.ICCMiscFeatures.IIN

## ◆ UFE

optoICCSdk.registers.icc_registers.ICCMiscFeatures.UFE

## ◆ AIN0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.AIN0

## ◆ AIN1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.AIN1

## ◆ AIN2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.AIN2

## ◆ AIN3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.AIN3

## ◆ AUTO_CONFIG

optoICCSdk.registers.icc_registers.ICCMiscFeatures.AUTO_CONFIG

## ◆ WRITE_CTRL

optoICCSdk.registers.icc_registers.ICCMiscFeatures.WRITE_CTRL

## ◆ LOAD_CH0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.LOAD_CH0

## ◆ LOAD_CH1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.LOAD_CH1

## ◆ LOAD_CH2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.LOAD_CH2

## ◆ LOAD_CH3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.LOAD_CH3

## ◆ enable_calibration

optoICCSdk.registers.icc_registers.ICCMiscFeatures.enable_calibration

## ◆ DEFAULT_STATE

optoICCSdk.registers.icc_registers.ICCMiscFeatures.DEFAULT_STATE

## ◆ GPIO_STATE

optoICCSdk.registers.icc_registers.ICCMiscFeatures.GPIO_STATE

## ◆ GPIO_DIRECTION

optoICCSdk.registers.icc_registers.ICCMiscFeatures.GPIO_DIRECTION

## ◆ FB_MODE

optoICCSdk.registers.icc_registers.ICCMiscFeatures.FB_MODE

## ◆ Pin_avg

optoICCSdk.registers.icc_registers.ICCMiscFeatures.Pin_avg

## ◆ i2c_list_ch0

optoICCSdk.registers.icc_registers.ICCMiscFeatures.i2c_list_ch0

## ◆ i2c_list_ch1

optoICCSdk.registers.icc_registers.ICCMiscFeatures.i2c_list_ch1

## ◆ i2c_list_ch2

optoICCSdk.registers.icc_registers.ICCMiscFeatures.i2c_list_ch2

## ◆ i2c_list_ch3

optoICCSdk.registers.icc_registers.ICCMiscFeatures.i2c_list_ch3

## ◆ name

optoICCSdk.registers.icc_registers.ICCMiscFeatures.name